
local MAJOR = "StarLibLCD-1.0" 
local MINOR = 1
assert(LibStub, MAJOR.." requires LibStub") 
local LibStarLibLCD = LibStub:NewLibrary(MAJOR, MINOR)
if not LibStarLibLCD then return end

if not LibStarLibLCD.__index then
	LibStarLibLCD.__index = LibStarLibLCD
	LibStarLibLCD.pool = setmetatable({}, {__mode = "k"})
end

function LibStarLibLCD:New() 
	if self ~= LibStarLibLCD then return end
	
	local obj = next(self.pool)

	if obj then
		self.pool[obj] = nil
	else
		obj = {}
	end

	setmetatable(obj, self)
	
	return obj	
end

function LibStarLibLCD:Del(ev)
	if self == LibStarLibLCD then
		LibProperty.pool[ev] = true
	else
		LibProperty.pool[self] = true
	end
end
